# RPM Spec file for mod_ca

%define name      mod_ca
%define summary   Apache mod_ca module
%define license   ASL 2.0
%define version   0.2.1
%define release   1
%define group     Web/Applications
%define source    %{name}-%{version}.tar.bz2
%define packager  Graham Leggett
%define buildroot %{_builddir}/%{name}-root

Name:      %{name}
Version:   %{version}
Release:   %{release}
Packager:  %{packager}
Summary:   %{summary}
License:  %{license}
Group:     %{group}
Source:   %{source}
Prefix:    %{_prefix}
Buildroot: %{buildroot}
Requires: httpd

%description
The Apache mod_ca module supplies a basic provider implementing a simple
certificate authority.

%package devel
Group: Development/Libraries
Summary: Development tools for the mod_ca provider.
Requires: httpd-devel

%description devel
Header file for the mod_ca provider implementing a simple certificate
authority.

%prep
%setup -q
%build
%configure --with-apxs=/usr/bin/apxs
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_libdir}/httpd/modules/mod_ca.so
%{_libdir}/httpd/modules/mod_ca_crl.so
%{_libdir}/httpd/modules/mod_ca_ldap.so
%{_libdir}/httpd/modules/mod_ca_simple.so
%{_libdir}/httpd/modules/mod_ca_disk.so
%{_libdir}/httpd/modules/mod_ca_engine.so

%files devel
%{_includedir}/httpd/mod_ca.h

